# Method: advertisers.insertionOrders.listAssignedTargetingOptions

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.BulkListInsertionOrderAssignedTargetingOptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#try-it)

Lists assigned targeting options of an insertion order across targeting types.

### HTTP request

`GET https://displayvideo.googleapis.com/v2/advertisers/{advertiserId}/insertionOrders/{insertionOrderId}:listAssignedTargetingOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the insertion order belongs to. |
| `insertionOrderId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the insertion order to list assigned targeting options for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The size must be an integer between `1` and `5000`. If unspecified, the default is `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token that lets the client fetch the next page of results. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.BulkListInsertionOrderAssignedTargetingOptionsResponse.FIELDS.next_page_token` returned from the previous call to `BulkListInsertionOrderAssignedTargetingOptions` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `targetingType` (default) The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `targetingType desc`. |
| `filter` | `string` Allows filtering by assigned targeting option fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by the logical operator `OR`. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `targetingType` - `inheritance` Examples: - `AssignedTargetingOption` resources of targeting type `TARGETING_TYPE_PROXIMITY_LOCATION_LIST` or `TARGETING_TYPE_CHANNEL`: `targetingType="TARGETING_TYPE_PROXIMITY_LOCATION_LIST" OR targetingType="TARGETING_TYPE_CHANNEL"` - `AssignedTargetingOption` resources with inheritance status of `NOT_INHERITED` or `INHERITED_FROM_PARTNER`: `inheritance="NOT_INHERITED" OR inheritance="INHERITED_FROM_PARTNER"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "assignedTargetingOptions": [ { object (`https://developers.google.com/display-video/api/reference/rest/v2/advertisers.campaigns.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `assignedTargetingOptions[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v2/advertisers.campaigns.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`)`` The list of assigned targeting options. This list will be absent if empty. |
| `nextPageToken` | `string` A token identifying the next page of results. This value should be specified as the `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.QUERY_PARAMETERS.page_token` in a subsequent `BulkListInsertionOrderAssignedTargetingOptionsRequest` to fetch the next page of results. This token will be absent if there are no more `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/listAssignedTargetingOptions#body.BulkListInsertionOrderAssignedTargetingOptionsResponse.FIELDS.assigned_targeting_options` to return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).